# RAEXMC - NeurIPS Code Release
### Setup environment
```bash
conda create -n RAEXMC python=3.9
conda activate RAEXMC
sh scripts/setup_env.sh
```

### Process data
We mainly use the data preprocess script of DEXML (https://github.com/nilesh2797/DEXML/blob/main/dexml.ipynb). Here, we use LF-AmazonTitles-131K as an example.
```bash
cd datasets; gdown 1WuquxCAg8D4lKr-eZXPv4nNw2S2lm7_E;
unzip LF-Amazon-131K.raw.zip; mv LF-Amazon-131K LF-AmazonTitles-131K;
cd ../
python3 scripts/process_dataset.py LF-AmazonTitles-131K
python3 scripts/build_proc_data.py -d LF-AmazonTitles-131K
```

### Run the training and evaluation
```bash
sh scripts/run.sh LF-AmazonTitles-131K
```
